summarylogtreecommitdiffstats
path: root/apkstudio-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apkstudio-setup.sh')
-rwxr-xr-xapkstudio-setup.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/apkstudio-setup.sh b/apkstudio-setup.sh
new file mode 100755
index 000000000000..adc640667de9
--- /dev/null
+++ b/apkstudio-setup.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -eu
+echo APK Studio normally requires you to download \"vendor.zip\" and extract it.
+echo It contains apktool.jar. Since that\'s a dependency of this package, this
+echo script will instead create symbolic links in $HOME/.apkstudio/vendor/.
+echo
+
+mkdir -p "$HOME/.apkstudio/vendor/"
+[ -e "$HOME/.apkstudio/vendor/apktool.jar" ] || ln -s "/usr/share/android-apktool/apktool.jar" "$HOME/.apkstudio/vendor/apktool.jar"
+[ -e "$HOME/.apkstudio/vendor/VERSION" ] || ln -s "/usr/share/apkstudio-git/APKTOOL_VERSION" "$HOME/.apkstudio/vendor/VERSION"
+
+echo You may now use APK Studio. Have a nice day!